Skip to main content
`Ctrl`+`K`

# `enum`

An `Enum` class with additional features.

class Enum(new_class_name, /, names, *, module=None, qualname=None, type=None, start=1, boundary=None)

  Enum with additional class methods.

  classmethod from_value(value)

    Convert a value to corresponding Enum member

    Parameters:

      value – The value to compare to Enum members If it is already a member of Enum, it is returned directly.

    Returns:

      The corresponding enum member

    Return type:

      Enum

    Raises:

      ValueError – In case the conversion is not possible

  classmethod members()

    Returns a tuple of all members.

    Return type:

      Tuple[Enum]

  classmethod names()

    Returns a tuple of all member names.

    Return type:

      Tuple[str]

  classmethod values()

    Returns a tuple of all member values.

    Return type:

      Tuple